# Linux Kernel Module Cheat

#### 17.19.2. stress

POSIX userland stress. Two versions:

    ./build-buildroot \
      --config 'BR2_PACKAGE_STRESS=y' \
      --config 'BR2_PACKAGE_STRESS_NG=y' \
    ;

`STRESS_NG` is likely the best, but it requires glibc, see: Section 26.10, “libc choice”.

Websites:

- https://people.seas.harvard.edu/~apw/stress/

- https://github.com/ColinIanKing/stress-ng

`stress` usage:

    stress --help
    stress -c 16 &
    ps

and notice how 16 threads were created in addition to a parent worker thread.

It just runs forever, so kill it when you get tired:

    kill %1

`stress -c 1 -t 1` makes gem5 irresponsive for a very long time.